Bug 986605 - add portcon for nbd
add portcon for nbd
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2013-07-20 18:38 EDT by Michael Scherer
Modified: 2015-02-17 11:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 11:16:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
add port for nbd (930 bytes, patch)
2013-07-20 18:38 EDT, Michael Scherer
no flags Details | Diff

  None (edit)
Description Michael Scherer 2013-07-20 18:38:42 EDT
Created attachment 776315 [details]
add port for nbd

nbdkit listen to port 10809 on tcp, but this port is not labelled. Here is a patch to add a label on it.
Comment 1 Daniel Walsh 2013-07-21 07:25:01 EDT
Are you planning on writing policy for nbd?
Comment 2 Michael Scherer 2013-07-21 08:13:40 EDT
I was looking on nbdkit, since it was simpler. I didn't look if one exist for nbd.
Comment 3 Daniel Walsh 2013-07-22 15:49:35 EDT
Probably should write one policy to cover both.  If you write one for nbdkit, we could expand it to cover nbd.
Comment 4 Miroslav Grepl 2013-07-24 05:24:44 EDT
Ok, it looks we could treat them together. I would suggest to have nbd.pp policy module


and have nbd_exec_t labeling for

Comment 5 Fedora End Of Life 2015-01-09 14:01:17 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 11:16:27 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.